Invoices & invoice payments
Get Payment Record Attachment Download Url
Returns a presigned download URL for a payment-proof attachment the caller may access.
POSThttps://api.toku.com/hris/get-payment-record-attachment-download-url
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/hris/get-payment-record-attachment-download-url' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"fileID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"fileID": "string",
"fileName": "string",
"mimeType": "string",
"downloadUrl": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
fileIDstring<uuid>requiredResponse
200Successful response
fileIDstringrequiredfileNamestringrequiredmimeTypestringrequireddownloadUrlstringrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits